define("rsvp/all",["./promise","exports"],function(__dependency1__,__exports__){"use strict";var Promise=__dependency1__["default"];__exports__["default"]=function all(array,label){return Promise.all(array,label)}});define("rsvp/all_settled",["./promise","./utils","exports"],function(__dependency1__,__dependency2__,__exports__){"use strict";var Promise=__dependency1__["default"];var isArray=__dependency2__.isArray;var isNonThenable=__dependency2__.isNonThenable;__exports__["default"]=function allSettled(entries,label){return new Promise(function(resolve,reject){if(!isArray(entries)){throw new TypeError("You must pass an array to allSettled.")}var remaining=entries.length;var entry;if(remaining===0){resolve([]);return}var results=new Array(remaining);function fulfilledResolver(index){return function(value){resolveAll(index,fulfilled(value))}}function rejectedResolver(index){return function(reason){resolveAll(index,rejected(reason))}}function resolveAll(index,value){results[index]=value;if(--remaining===0){resolve(results)}}for(var index=0;index<entries.length;index++){entry=entries[index];if(isNonThenable(entry)){resolveAll(index,fulfilled(entry))}else{Promise.resolve(entry).then(fulfilledResolver(index),rejectedResolver(index))}}},label)};function fulfilled(value){return{state:"fulfilled",value:value}}function rejected(reason){return{state:"rejected",reason:reason}}});define("rsvp/asap",["exports"],function(__exports__){"use strict";__exports__["default"]=function asap(callback,arg){var length=queue.push([callback,arg]);if(length===1){scheduleFlush()}};var browserGlobal=typeof window!=="undefined"?window:{};var BrowserMutationObserver=browserGlobal.MutationObserver||browserGlobal.WebKitMutationObserver;function useNextTick(){return function(){process.nextTick(flush)}}function useMutationObserver(){var iterations=0;var observer=new BrowserMutationObserver(flush);var node=document.createTextNode("");observer.observe(node,{characterData:true});return function(){node.data=iterations=++iterations%2}}function useSetTimeout(){return function(){setTimeout(flush,1)}}var queue=[];function flush(){for(var i=0;i<queue.length;i++){var tuple=queue[i];var callback=tuple[0],arg=tuple[1];callback(arg)}queue=[]}var scheduleFlush;if(typeof process!=="undefined"&&{}.toString.call(process)==="[object process]"){scheduleFlush=useNextTick()}else if(BrowserMutationObserver){scheduleFlush=useMutationObserver()}else{scheduleFlush=useSetTimeout()}});define("rsvp/config",["./events","exports"],function(__dependency1__,__exports__){"use strict";var EventTarget=__dependency1__["default"];var config={instrument:false};EventTarget.mixin(config);function configure(name,value){if(name==="onerror"){config.on("error",value);return}if(arguments.length===2){config[name]=value}else{return config[name]}}__exports__.config=config;__exports__.configure=configure});define("rsvp/defer",["./promise","exports"],function(__dependency1__,__exports__){"use strict";var Promise=__dependency1__["default"];__exports__["default"]=function defer(label){var deferred={};deferred.promise=new Promise(function(resolve,reject){deferred.resolve=resolve;deferred.reject=reject},label);return deferred}});define("rsvp/events",["exports"],function(__exports__){"use strict";var indexOf=function(callbacks,callback){for(var i=0,l=callbacks.length;i<l;i++){if(callbacks[i]===callback){return i}}return-1};var callbacksFor=function(object){var callbacks=object._promiseCallbacks;if(!callbacks){callbacks=object._promiseCallbacks={}}return callbacks};__exports__["default"]={mixin:function(object){object.on=this.on;object.off=this.off;object.trigger=this.trigger;object._promiseCallbacks=undefined;return object},on:function(eventName,callback){var allCallbacks=callbacksFor(this),callbacks;callbacks=allCallbacks[eventName];if(!callbacks){callbacks=allCallbacks[eventName]=[]}if(indexOf(callbacks,callback)===-1){callbacks.push(callback)}},off:function(eventName,callback){var allCallbacks=callbacksFor(this),callbacks,index;if(!callback){allCallbacks[eventName]=[];return}callbacks=allCallbacks[eventName];index=indexOf(callbacks,callback);if(index!==-1){callbacks.splice(index,1)}},trigger:function(eventName,options){var allCallbacks=callbacksFor(this),callbacks,callbackTuple,callback,binding;if(callbacks=allCallbacks[eventName]){for(var i=0;i<callbacks.length;i++){callback=callbacks[i];callback(options)}}}}});define("rsvp/filter",["./all","./map","./utils","exports"],function(__dependency1__,__dependency2__,__dependency3__,__exports__){"use strict";var all=__dependency1__["default"];var map=__dependency2__["default"];var isFunction=__dependency3__.isFunction;var isArray=__dependency3__.isArray;function filter(promises,filterFn,label){return all(promises,label).then(function(values){if(!isArray(promises)){throw new TypeError("You must pass an array to filter.")}if(!isFunction(filterFn)){throw new TypeError("You must pass a function to filter's second argument.")}return map(promises,filterFn,label).then(function(filterResults){var i,valuesLen=values.length,filtered=[];for(i=0;i<valuesLen;i++){if(filterResults[i])filtered.push(values[i])}return filtered})})}__exports__["default"]=filter});define("rsvp/hash",["./promise","./utils","exports"],function(__dependency1__,__dependency2__,__exports__){"use strict";var Promise=__dependency1__["default"];var isNonThenable=__dependency2__.isNonThenable;var keysOf=__dependency2__.keysOf;__exports__["default"]=function hash(object,label){return new Promise(function(resolve,reject){var results={};var keys=keysOf(object);var remaining=keys.length;var entry,property;if(remaining===0){resolve(results);return}function fulfilledTo(property){return function(value){results[property]=value;if(--remaining===0){resolve(results)}}}function onRejection(reason){remaining=0;reject(reason)}for(var i=0;i<keys.length;i++){property=keys[i];entry=object[property];if(isNonThenable(entry)){results[property]=entry;if(--remaining===0){resolve(results)}}else{Promise.resolve(entry).then(fulfilledTo(property),onRejection)}}})}});define("rsvp/hash_settled",["./promise","./utils","exports"],function(__dependency1__,__dependency2__,__exports__){"use strict";var Promise=__dependency1__["default"];var isNonThenable=__dependency2__.isNonThenable;var keysOf=__dependency2__.keysOf;__exports__["default"]=function hashSettled(object,label){return new Promise(function(resolve,reject){var results={};var keys=keysOf(object);var remaining=keys.length;var entry,property;if(remaining===0){resolve(results);return}function fulfilledResolver(property){return function(value){resolveAll(property,fulfilled(value))}}function rejectedResolver(property){return function(reason){resolveAll(property,rejected(reason))}}function resolveAll(property,value){results[property]=value;if(--remaining===0){resolve(results)}}for(var i=0;i<keys.length;i++){property=keys[i];entry=object[property];if(isNonThenable(entry)){resolveAll(property,fulfilled(entry))}else{Promise.resolve(entry).then(fulfilledResolver(property),rejectedResolver(property))}}})};function fulfilled(value){return{state:"fulfilled",value:value}}function rejected(reason){return{state:"rejected",reason:reason}}});define("rsvp/instrument",["./config","./utils","exports"],function(__dependency1__,__dependency2__,__exports__){"use strict";var config=__dependency1__.config;var now=__dependency2__.now;__exports__["default"]=function instrument(eventName,promise,child){try{config.trigger(eventName,{guid:promise._guidKey+promise._id,eventName:eventName,detail:promise._detail,childGuid:child&&promise._guidKey+child._id,label:promise._label,timeStamp:now(),stack:new Error(promise._label).stack})}catch(error){setTimeout(function(){throw error},0)}}});define("rsvp/map",["./promise","./utils","exports"],function(__dependency1__,__dependency2__,__exports__){"use strict";var Promise=__dependency1__["default"];var isArray=__dependency2__.isArray;var isFunction=__dependency2__.isFunction;__exports__["default"]=function map(promises,mapFn,label){return Promise.all(promises,label).then(function(results){if(!isArray(promises)){throw new TypeError("You must pass an array to map.")}if(!isFunction(mapFn)){throw new TypeError("You must pass a function to map's second argument.")}var resultLen=results.length,mappedResults=[],i;for(i=0;i<resultLen;i++){mappedResults.push(mapFn(results[i]))}return Promise.all(mappedResults,label)})}});define("rsvp/node",["./promise","./utils","exports"],function(__dependency1__,__dependency2__,__exports__){"use strict";var Promise=__dependency1__["default"];var isArray=__dependency2__.isArray;__exports__["default"]=function denodeify(nodeFunc,argumentNames){return function(){var length=arguments.length;var nodeArgs=new Array(length);for(var i=0;i<length;i++){nodeArgs[i]=arguments[i]}var asArray=argumentNames===true;var asHash=isArray(argumentNames);var thisArg;if(!asArray&&!asHash&&argumentNames){console.warn("Deprecation: RSVP.denodeify() doesn't allow setting the "+'"this" binding anymore. Use yourFunction.bind(yourThis) instead.');thisArg=argumentNames}else{thisArg=this}return Promise.all(nodeArgs).then(function(nodeArgs$2){return new Promise(resolver);function resolver(resolve,reject){function callback(){var length$2=arguments.length;var args=new Array(length$2);for(var i$2=0;i$2<length$2;i$2++){args[i$2]=arguments[i$2]}var error=args[0];var value=args[1];if(error){reject(error)}else if(asArray){resolve(args.slice(1))}else if(asHash){var obj={};var successArguments=args.slice(1);var name;var i$3;for(i$3=0;i$3<argumentNames.length;i$3++){name=argumentNames[i$3];obj[name]=successArguments[i$3]}resolve(obj)}else{resolve(value)}}nodeArgs$2.push(callback);nodeFunc.apply(thisArg,nodeArgs$2)}})}}});define("rsvp/promise",["./config","./events","./instrument","./utils","./promise/cast","./promise/all","./promise/race","./promise/resolve","./promise/reject","exports"],function(__dependency1__,__dependency2__,__dependency3__,__dependency4__,__dependency5__,__dependency6__,__dependency7__,__dependency8__,__dependency9__,__exports__){"use strict";var config=__dependency1__.config;var EventTarget=__dependency2__["default"];var instrument=__dependency3__["default"];var objectOrFunction=__dependency4__.objectOrFunction;var isFunction=__dependency4__.isFunction;var now=__dependency4__.now;var cast=__dependency5__["default"];var all=__dependency6__["default"];var race=__dependency7__["default"];var Resolve=__dependency8__["default"];var Reject=__dependency9__["default"];var guidKey="rsvp_"+now()+"-";var counter=0;function noop(){}__exports__["default"]=Promise;function Promise(resolver,label){if(!isFunction(resolver)){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}if(!(this instanceof Promise)){throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.")}this._id=counter++;this._label=label;this._subscribers=[];if(config.instrument){instrument("created",this)}if(noop!==resolver){invokeResolver(resolver,this)}}function invokeResolver(resolver,promise){function resolvePromise(value){resolve(promise,value)}function rejectPromise(reason){reject(promise,reason)}try{resolver(resolvePromise,rejectPromise)}catch(e){rejectPromise(e)}}Promise.cast=cast;Promise.all=all;Promise.race=race;Promise.resolve=Resolve;Promise.reject=Reject;var PENDING=void 0;var SEALED=0;var FULFILLED=1;var REJECTED=2;function subscribe(parent,child,onFulfillment,onRejection){var subscribers=parent._subscribers;var length=subscribers.length;subscribers[length]=child;subscribers[length+FULFILLED]=onFulfillment;subscribers[length+REJECTED]=onRejection}function publish(promise,settled){var child,callback,subscribers=promise._subscribers,detail=promise._detail;if(config.instrument){instrument(settled===FULFILLED?"fulfilled":"rejected",promise)}for(var i=0;i<subscribers.length;i+=3){child=subscribers[i];callback=subscribers[i+settled];invokeCallback(settled,child,callback,detail)}promise._subscribers=null}Promise.prototype={constructor:Promise,_id:undefined,_guidKey:guidKey,_label:undefined,_state:undefined,_detail:undefined,_subscribers:undefined,_onerror:function(reason){config.trigger("error",reason)},then:function(onFulfillment,onRejection,label){var promise=this;this._onerror=null;var thenPromise=new this.constructor(noop,label);if(this._state){var callbacks=arguments;config.async(function invokePromiseCallback(){invokeCallback(promise._state,thenPromise,callbacks[promise._state-1],promise._detail)})}else{subscribe(this,thenPromise,onFulfillment,onRejection)}if(config.instrument){instrument("chained",promise,thenPromise)}return thenPromise},"catch":function(onRejection,label){return this.then(null,onRejection,label)},"finally":function(callback,label){var constructor=this.constructor;return this.then(function(value){return constructor.cast(callback()).then(function(){return value})},function(reason){return constructor.cast(callback()).then(function(){throw reason})},label)}};function invokeCallback(settled,promise,callback,detail){var hasCallback=isFunction(callback),value,error,succeeded,failed;if(hasCallback){try{value=callback(detail);succeeded=true}catch(e){failed=true;error=e}}else{value=detail;succeeded=true}if(handleThenable(promise,value)){return}else if(hasCallback&&succeeded){resolve(promise,value)}else if(failed){reject(promise,error)}else if(settled===FULFILLED){resolve(promise,value)}else if(settled===REJECTED){reject(promise,value)}}function handleThenable(promise,value){var then=null,resolved;try{if(promise===value){throw new TypeError("A promises callback cannot return that same promise.")}if(objectOrFunction(value)){then=value.then;if(isFunction(then)){then.call(value,function(val){if(resolved){return true}resolved=true;if(value!==val){resolve(promise,val)}else{fulfill(promise,val)}},function(val){if(resolved){return true}resolved=true;reject(promise,val)},"Settle: "+(promise._label||" unknown promise"));return true}}}catch(error){if(resolved){return true}reject(promise,error);return true}return false}function resolve(promise,value){if(promise===value){fulfill(promise,value)}else if(!handleThenable(promise,value)){fulfill(promise,value)}}function fulfill(promise,value){if(promise._state!==PENDING){return}promise._state=SEALED;promise._detail=value;config.async(publishFulfillment,promise)}function reject(promise,reason){if(promise._state!==PENDING){return}promise._state=SEALED;promise._detail=reason;config.async(publishRejection,promise)}function publishFulfillment(promise){publish(promise,promise._state=FULFILLED)}function publishRejection(promise){if(promise._onerror){promise._onerror(promise._detail)}publish(promise,promise._state=REJECTED)}});define("rsvp/promise/all",["../utils","exports"],function(__dependency1__,__exports__){"use strict";var isArray=__dependency1__.isArray;var isNonThenable=__dependency1__.isNonThenable;__exports__["default"]=function all(entries,label){var Constructor=this;return new Constructor(function(resolve,reject){if(!isArray(entries)){throw new TypeError("You must pass an array to all.")}var remaining=entries.length;var results=new Array(remaining);var entry,pending=true;if(remaining===0){resolve(results);return}function fulfillmentAt(index){return function(value){results[index]=value;if(--remaining===0){resolve(results)}}}function onRejection(reason){remaining=0;reject(reason)}for(var index=0;index<entries.length;index++){entry=entries[index];if(isNonThenable(entry)){results[index]=entry;if(--remaining===0){resolve(results)}}else{Constructor.resolve(entry).then(fulfillmentAt(index),onRejection)}}},label)}});define("rsvp/promise/cast",["exports"],function(__exports__){"use strict";__exports__["default"]=function cast(object,label){var Constructor=this;if(object&&typeof object==="object"&&object.constructor===Constructor){return object}return new Constructor(function(resolve){resolve(object)},label)}});define("rsvp/promise/race",["../utils","exports"],function(__dependency1__,__exports__){"use strict";var isArray=__dependency1__.isArray;var isFunction=__dependency1__.isFunction;var isNonThenable=__dependency1__.isNonThenable;__exports__["default"]=function race(entries,label){var Constructor=this,entry;return new Constructor(function(resolve,reject){if(!isArray(entries)){throw new TypeError("You must pass an array to race.")}var pending=true;function onFulfillment(value){if(pending){pending=false;resolve(value)}}function onRejection(reason){if(pending){pending=false;reject(reason)}}for(var i=0;i<entries.length;i++){entry=entries[i];if(isNonThenable(entry)){pending=false;resolve(entry);return}else{Constructor.resolve(entry).then(onFulfillment,onRejection)}}},label)}});define("rsvp/promise/reject",["exports"],function(__exports__){"use strict";__exports__["default"]=function reject(reason,label){var Constructor=this;return new Constructor(function(resolve,reject$2){reject$2(reason)},label)}});define("rsvp/promise/resolve",["exports"],function(__exports__){"use strict";__exports__["default"]=function resolve(object,label){var Constructor=this;if(object&&typeof object==="object"&&object.constructor===Constructor){return object}return new Constructor(function(resolve$2){resolve$2(object)},label)}});define("rsvp/race",["./promise","exports"],function(__dependency1__,__exports__){"use strict";var Promise=__dependency1__["default"];__exports__["default"]=function race(array,label){return Promise.race(array,label)}});define("rsvp/reject",["./promise","exports"],function(__dependency1__,__exports__){"use strict";var Promise=__dependency1__["default"];__exports__["default"]=function reject(reason,label){return Promise.reject(reason,label)}});define("rsvp/resolve",["./promise","exports"],function(__dependency1__,__exports__){"use strict";var Promise=__dependency1__["default"];__exports__["default"]=function resolve(value,label){return Promise.resolve(value,label)}});define("rsvp/rethrow",["exports"],function(__exports__){"use strict";__exports__["default"]=function rethrow(reason){setTimeout(function(){throw reason});throw reason}});define("rsvp/utils",["exports"],function(__exports__){"use strict";function objectOrFunction(x){return typeof x==="function"||typeof x==="object"&&x!==null}__exports__.objectOrFunction=objectOrFunction;function isFunction(x){return typeof x==="function"}__exports__.isFunction=isFunction;function isNonThenable(x){return!objectOrFunction(x)}__exports__.isNonThenable=isNonThenable;var _isArray;if(!Array.isArray){_isArray=function(x){return Object.prototype.toString.call(x)==="[object Array]"}}else{_isArray=Array.isArray}var isArray=_isArray;__exports__.isArray=isArray;var now=Date.now||function(){return(new Date).getTime()};__exports__.now=now;var keysOf=Object.keys||function(object){var result=[];for(var prop in object){result.push(prop)}return result};__exports__.keysOf=keysOf});define("rsvp",["./rsvp/promise","./rsvp/events","./rsvp/node","./rsvp/all","./rsvp/all_settled","./rsvp/race","./rsvp/hash","./rsvp/hash_settled","./rsvp/rethrow","./rsvp/defer","./rsvp/config","./rsvp/map","./rsvp/resolve","./rsvp/reject","./rsvp/filter","./rsvp/asap","exports"],function(__dependency1__,__dependency2__,__dependency3__,__dependency4__,__dependency5__,__dependency6__,__dependency7__,__dependency8__,__dependency9__,__dependency10__,__dependency11__,__dependency12__,__dependency13__,__dependency14__,__dependency15__,__dependency16__,__exports__){"use strict";var Promise=__dependency1__["default"];var EventTarget=__dependency2__["default"];var denodeify=__dependency3__["default"];var all=__dependency4__["default"];var allSettled=__dependency5__["default"];var race=__dependency6__["default"];var hash=__dependency7__["default"];var hashSettled=__dependency8__["default"];var rethrow=__dependency9__["default"];var defer=__dependency10__["default"];var config=__dependency11__.config;var configure=__dependency11__.configure;var map=__dependency12__["default"];var resolve=__dependency13__["default"];var reject=__dependency14__["default"];var filter=__dependency15__["default"];var asap=__dependency16__["default"];config.async=asap;function async(callback,arg){config.async(callback,arg)}function on(){config.on.apply(config,arguments)}function off(){config.off.apply(config,arguments)}if(typeof window!=="undefined"&&typeof window.__PROMISE_INSTRUMENTATION__==="object"){var callbacks=window.__PROMISE_INSTRUMENTATION__;configure("instrument",true);for(var eventName in callbacks){if(callbacks.hasOwnProperty(eventName)){on(eventName,callbacks[eventName])}}}__exports__.Promise=Promise;__exports__.EventTarget=EventTarget;__exports__.all=all;__exports__.allSettled=allSettled;__exports__.race=race;__exports__.hash=hash;__exports__.hashSettled=hashSettled;__exports__.rethrow=rethrow;__exports__.defer=defer;__exports__.denodeify=denodeify;__exports__.configure=configure;__exports__.on=on;__exports__.off=off;__exports__.resolve=resolve;__exports__.reject=reject;__exports__.async=async;__exports__.map=map;__exports__.filter=filter});